<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/* based on  td-Glossaire 2.1                                           */
/* REVENDEURS                                                           */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2011 by Philippe Brunier   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
// For More security
if (!function_exists("Access_Error")) { die(); }
if (!eregi("admin.php", $PHP_SELF)) { Access_Error(); }
// For More security

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

include ("modules/$ModPath/revendeurs.conf.php");
include ("modules/$ModPath/lang/revendeurs.$language.php");

function admin_glo() {
   global $ModPath, $ModStart, $ok_submit, $activ_rech, $nb_affichage, $css, $NPDS_Prefix;
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo rev_translate("Revendeurs")." - ";
   echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart&amp;subop=admin_list\" class=\"rouge\">".rev_translate("Liste des revendeurs")."</a>";
   echo "</td></tr></table>\n";

   CloseTable();
   echo "<br />";
      OpenTable();
      echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
      echo rev_translate("Soumettre un revendeur");
      echo "</td></tr></table>\n";
      echo "<form action=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart\" method=\"post\" name=\"adminForm\">\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
      echo "<tr><td width=\"15%\"><b>".rev_translate("Revendeur")." :</b></td><td><input class=\"textbox_standard\" type=\"text\" name=\"terme\" size=\"45\" maxsize=\"100\" /></td></tr>\n";
      echo "<tr><td width=\"15%\"><b>".rev_translate("Catgorie")." :</b></td><td><input class=\"textbox_standard\" type=\"text\" name=\"gcategory\" size=\"25\" maxlength=\"30\" /> - \n";

      echo "<select class=\"textbox_standard\" name=\"sgcategory\">";
      $result = sql_query("SELECT DISTINCT gcat FROM ".$NPDS_Prefix."revendeurs ORDER BY gcat ASC");
      while (list($dcategory) = sql_fetch_row($result)) {
         $dcategory=stripslashes($dcategory);
         echo "<option $sel value=\"$dcategory\">$dcategory</option>\n";
      }
      echo "</select></td></tr>\n";
     
      echo "<tr><td width=\"15%\"><b>".rev_translate("Adresse")." :</b></td><td><textarea class=\"textbox\" style=\"width: 100%;\" wrap=\"virtual\" cols=\"45\" rows=\"5\" name=\"content\"></textarea>";
         echo aff_editeur("content", "true");
      echo "</td></tr>\n";
      echo "<tr><td width=\"15%\"><b>".translate("Web Links")." : </b></td><td><input class=\"textbox\" type=\"text\" name=\"xurl\" size=\"45\" maxsize=\"255\" /> (http://...)</td></tr>\n";
      echo "<input type=\"hidden\" name=\"subop\" value=\"admin_term\">";
      echo "<tr><td colspan=\"2\" align=\"center\"><input class=\"bouton_standard\" type=\"submit\" value=\"".translate("Submit")."\" />\n";
      echo "</td></tr></table></form>\n";
     CloseTable();
   echo "<br />";
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo "".rev_translate("Revendeurs")." - ".rev_translate("Configuration");
   echo "</td></tr></table>\n";
   echo "<form action=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart&amp;subop=admin_settings\" method=\"post\" name=\"admin_settings\">\n";
   echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
   echo "<tr><td width=\"30%\"><b>".rev_translate("Revendeurs par page")." : </b></td><td><input class=\"textbox_standard\" type=\"text\" name=\"nbaff_new\" value=\"$nb_affichage\" size=\"45\" maxsize=\"3\" /></td></tr>\n";
   echo "<tr><td width=\"30%\"><b>".rev_translate("Autorise la recherche")." : </b></td>";
   echo "<td><input type=\"radio\" name=\"activrech_new\" value=\"true\"".($activ_rech?" checked=\"checked\"":"")." /> ".translate("Yes");
   echo "<input type=\"radio\" name=\"activrech_new\" value=\"false\"".(!$activ_rech?" checked=\"checked\"":"")." /> ".translate("No")."</td></tr>\n";
   echo "<tr><td colspan=\"2\" align=\"center\"><input class=\"bouton_standard\" type=\"submit\" value=\"".translate("Submit")."\" /></td></tr>\n";
   echo "</table></form>\n";
   CloseTable();
}

function admin_list() {
   global $ModPath, $ModStart, $NPDS_Prefix;
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo rev_translate("Revendeurs")." - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/revadmin\" class=\"noir\">".rev_translate("Retour  l'administration")."</a>";
   echo "</td></tr></table>\n";
   CloseTable();
   echo "<br />";
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
   $TableRep=sql_query("SELECT * FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0' ORDER BY gcat,nom");
   while (list($id_terme,$gcat,$terme,$terme_def) = sql_fetch_row($TableRep)) {
      $rowcolor = tablos();
      echo "<tr $rowcolor><td>$gcat</td>";
      echo "<td width=\"20%\">$terme</td><td align=\"left\">$terme_def</td>";
      echo "<td align=\"right\" width=\"15%\" nowrap=\"nowrap\">";
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart&amp;subop=admin_edit&amp;id=$id_terme\" class=\"noir\">".rev_translate("Editer")."</a> | ";
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart&amp;subop=admin_supp&amp;id=$id_terme&amp;typ=1\" class=\"rouge\">".rev_translate("Supprimer")."</a>";
      echo "</td></tr>";
   }
   echo "</table><br /><br />";
   echo "<p align=\"right\"><a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/revadmin\" class=\"noir\">".rev_translate("Retour  l'administration")."</a></p>";
   CloseTable();
}

function admin_edit($id) {
   global $ModPath, $ModStart, $NPDS_Prefix;
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo rev_translate("Revendeurs")." - ".rev_translate("Administration");
   echo "</td></tr></table>\n";
   CloseTable();
   echo "<br />";
   OpenTable();
   $TableRep=sql_query("SELECT * FROM ".$NPDS_Prefix."revendeurs WHERE id='$id'");
   list($id_terme,$gcat,$terme,$terme_def,$aff,$lien) = sql_fetch_row($TableRep);
   echo "<form action=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart\" method=\"POST\" name=\"adminForm\">\n";
   echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
   echo "<tr><td width=\"15%\"><b>".rev_translate("Revendeur")." :</b></td><td><input class=\"textbox_standard\" type=\"text\" name=\"terme\" value=\"$terme\" size=\"45\" maxsize=\"100\" /></td></tr>\n";
   echo "<tr><td width=\"15%\"><b>".rev_translate("Catgorie")." :</b></td><td><input class=\"textbox_standard\" type=\"text\" name=\"gcategory\" value=\"".stripslashes($gcat)."\" size=\"25\" maxlength=\"30\" /> - \n";

   echo "<select class=\"textbox_standard\" name=\"sgcategory\">";
   $result = sql_query("SELECT DISTINCT gcat FROM ".$NPDS_Prefix."revendeurs ORDER BY gcat");
   while (list($dcategory) = sql_fetch_row($result)) {
      $dcategory=stripslashes($dcategory);
      echo "<option $sel value=\"$dcategory\">$dcategory</option>\n";
   }
   echo "</select></td></tr>\n";
     
   echo "<tr><td width=\"15%\"><b>".rev_translate("Adresse")." :</b></td><td><textarea class=\"textbox\" style=\"width: 100%;\" wrap=\"virtual\" cols=\"45\" rows=\"5\" name=\"content\">$terme_def</textarea>";
      echo aff_editeur("content", "true");
   echo "</td></tr>\n";
   echo "<tr><td width=\"15%\"><b>".translate("Web Links")." : </b></td><td><input class=\"textbox\" type=\"text\" name=\"xurl\" value=\"$lien\" size=\"45\" maxsize=\"255\" /> (http://...)</td></tr>\n";
   echo "<input type=\"hidden\" name=\"id\" value=\"$id\" /><input type=\"hidden\" name=\"subop\" value=\"admin_modify\" />";
   echo "<tr><td colspan=\"2\" align=\"center\"><input class=\"bouton_standard\" type=\"submit\" value=\"".translate("Submit")."\" /></td></tr>\n";

   echo "</table></form>";
   CloseTable();
}

switch ($subop) {
 case "admin_supp":
   sql_query("DELETE FROM ".$NPDS_Prefix."revendeurs WHERE id='$id'");
   if ($typ==1) {
      redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=admin_list");
   } else {
      redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart");
   }
   die();
   break;

 case "admin_add":
   sql_query("UPDATE ".$NPDS_Prefix."revendeurs SET affiche='".true."' WHERE id='$id'");
   redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart");
   die();
   break;

 case "admin_edit":
   admin_edit($id);
   break;

 case "admin_modify":
   $sgcategory=addslashes($sgcategory);
   if (!$gcategory) { $gcategory = $sgcategory; } else { $gcategory=addslashes($gcategory); }
//   $lettre=substr(ucfirst($terme),0,1);
//   if (!ereg("[A-Z]",$lettre)) {$lettre="!AZ";}
   sql_query("UPDATE ".$NPDS_Prefix."revendeurs SET gcat='$gcategory',  nom='$terme', definition='$content', lien='$xurl' WHERE id='$id'");
   redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=admin_list");
   die();
   break;

 case "admin_term":
   $sgcategory=addslashes($sgcategory);
   if (!$gcategory) { $gcategory = $sgcategory; } else { $gcategory=addslashes($gcategory); }
   if (($gcategory!="") and ($terme!="") and ($content!="")) {
//      $lettre=substr(ucfirst($terme),0,1);
//      if (!ereg("[A-Z]",$lettre)) {$lettre="!AZ";}
      $result=sql_query("SELECT * FROM ".$NPDS_Prefix."revendeurs WHERE gcat='$gcategory' AND nom='$terme' AND definition='$content'");
      list($id)=sql_fetch_row($result);
      if (!$id) {
         sql_query("INSERT INTO ".$NPDS_Prefix."revendeurs VALUES (NULL, '$gcategory',  '".strip_tags($terme)."', '$content', '1', '$xurl')");
      } else {
         echo "<script type=\"text/javascript\">alert(\"".rev_translate("Une dfinition identique existe dj !")."\")</script>";
      }
   } else {
      echo "<script type=\"text/javascript\">alert(\"".translate("Please enter information according to the specifications")."\")</script>";
   }
   redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart");
   die();
   break;

 case "admin_settings":
   if ($nbaff_new!="" or $activerech_new!="") { 
      $fp = fopen("modules/$ModPath/revendeurs.conf.php", "w");
      $contentY = "<?php\n";
      $contentY .= "/************************************************************************/\n";
      $contentY .= "/* DUNE by NPDS                                                         */\n";
      $contentY .= "/* ===========================                                          */\n";
      $contentY .= "/* From TD-Glossaire 2.1                                                */\n";
      $contentY .= "/* REVENDEURS                                                           */\n";
      $contentY .= "/*                                                                      */\n";
      $contentY .= "/* This version name NPDS Copyright (c) 2001-2011 by Philippe Brunier   */\n";
      $contentY .= "/*                                                                      */\n";
      $contentY .= "/* This program is free software. You can redistribute it and/or modify */\n";
      $contentY .= "/* it under the terms of the GNU General Public License as published by */\n";
      $contentY .= "/* the Free Software Foundation; either version 2 of the License.       */\n";
      $contentY .= "/************************************************************************/\n";
      $contentY .= "// Nb d'affichage par page\n";
      $contentY .= "\$nb_affichage = \"$nbaff_new\";\n\n";
      $contentY .= "// Autorise la recherche\n";
      $contentY .= "\$activ_rech = $activrech_new;\n\n";
      $contentY .= "?>";
      fwrite($fp, $contentY);
      fclose($fp);
      redirect_url("admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart");
      die();
   }   
   break;

 case "admin_list":
   admin_list();
   break;

 default:
   admin_glo();
   break;
}
?>